# Uses of Interface
org.apache.sysds.runtime.instructions.ooc.OOCStream.QueueCallback

Packages that use OOCStream.QueueCallback
Package
Description
org.apache.sysds.runtime.instructions.ooc
org.apache.sysds.runtime.ooc.cache
org.apache.sysds.runtime.ooc.cache.legacy
org.apache.sysds.runtime.ooc.memory
org.apache.sysds.runtime.ooc.stream

## Uses of OOCStream.QueueCallback in org.apache.sysds.runtime.instructions.ooc

Subinterfaces of OOCStream.QueueCallback in org.apache.sysds.runtime.instructions.ooc
Modifier and Type
Interface
Description
`static interface`
`OOCStream.GroupQueueCallback<T>`
Classes in org.apache.sysds.runtime.instructions.ooc that implement OOCStream.QueueCallback
Modifier and Type
Class
Description
`static class`
`OOCStream.SimpleQueueCallback<T>`
Methods in org.apache.sysds.runtime.instructions.ooc that return OOCStream.QueueCallback
Modifier and Type
Method
Description
`OOCStream.QueueCallback<T>`
OOCStream.`dequeueCB()`
`OOCStream.QueueCallback<IndexedMatrixValue>`
PlaybackStream.`dequeueCB()`
`OOCStream.QueueCallback<T>`
SubscribableTaskQueue.`dequeueCB()`
`OOCStream.QueueCallback<T>`
SubscribableTaskQueue.`dequeueTask()`
`static <T> OOCStream.QueueCallback<T>`
OOCStream.`eos(DMLRuntimeException e)`
`OOCStream.QueueCallback<IndexedMatrixValue>`
CachingStream.`findCached(MatrixIndexes idx)`
`OOCStream.QueueCallback<T>`
OOCStream.GroupQueueCallback.`getCallback(int idx)`
`OOCStream.QueueCallback<T>`
OOCStream.QueueCallback.`keepOpen()`
Keeps the callback item pinned in memory until the returned callback is also closed.
`OOCStream.QueueCallback<T>`
OOCStream.SimpleQueueCallback.`keepOpen()`
`OOCStream.QueueCallback<IndexedMatrixValue>`
CachingStream.`peekCached(MatrixIndexes idx)`
Finds a cached item without counting it as a consumption.
Methods in org.apache.sysds.runtime.instructions.ooc that return types with arguments of type OOCStream.QueueCallback
Modifier and Type
Method
Description
`CompletableFuture<OOCStream.QueueCallback<IndexedMatrixValue>>`
CachingStream.`get(int idx)`
Methods in org.apache.sysds.runtime.instructions.ooc with parameters of type OOCStream.QueueCallback
Modifier and Type
Method
Description
`void`
OOCStream.`enqueue(OOCStream.QueueCallback<T> callback)`
`void`
PlaybackStream.`enqueue(OOCStream.QueueCallback<IndexedMatrixValue> callback)`
`void`
SubscribableTaskQueue.`enqueue(OOCStream.QueueCallback<T> cb)`
`void`
SubscribableTaskQueue.`enqueueTask(OOCStream.QueueCallback<T> t)`
Method parameters in org.apache.sysds.runtime.instructions.ooc with type arguments of type OOCStream.QueueCallback
Modifier and Type
Method
Description
`void`
CachingStream.`findCachedAsync(MatrixIndexes idx, Consumer<OOCStream.QueueCallback<IndexedMatrixValue>> callback)`
`void`
CachingStream.`peekCachedAsync(MatrixIndexes idx, Consumer<OOCStream.QueueCallback<IndexedMatrixValue>> callback)`
Finds a cached item asynchronously without counting it as a consumption.
`void`
CachingStream.`setSubscriber(Consumer<OOCStream.QueueCallback<IndexedMatrixValue>> subscriber, boolean incrConsumers)`
`void`
OOCStream.`setSubscriber(Consumer<OOCStream.QueueCallback<T>> subscriber)`
Registers a new subscriber that consumes the stream.
`void`
PlaybackStream.`setSubscriber(Consumer<OOCStream.QueueCallback<IndexedMatrixValue>> subscriber)`
`void`
SubscribableTaskQueue.`setSubscriber(Consumer<OOCStream.QueueCallback<T>> subscriber)`

## Uses of OOCStream.QueueCallback in org.apache.sysds.runtime.ooc.cache

Classes in org.apache.sysds.runtime.ooc.cache that implement OOCStream.QueueCallback
Modifier and Type
Class
Description
`static class`
`OOCCacheManager.CachedGroupCallback<T>`
`static class`
`OOCCacheManager.CachedQueueCallback<T>`
`static class`
`OOCCacheManager.CachedSubCallback<T>`
Methods in org.apache.sysds.runtime.ooc.cache that return OOCStream.QueueCallback
Modifier and Type
Method
Description
`OOCStream.QueueCallback<T>`
OOCCacheManager.CachedGroupCallback.`getCallback(int idx)`
`OOCStream.QueueCallback<T>`
OOCCacheManager.CachedGroupCallback.`keepOpen()`
`OOCStream.QueueCallback<T>`
OOCCacheManager.CachedQueueCallback.`keepOpen()`
`OOCStream.QueueCallback<T>`
OOCCacheManager.CachedSubCallback.`keepOpen()`
`static OOCStream.QueueCallback<IndexedMatrixValue>`
OOCCacheManager.`putAndPin(long streamId, int blockId, IndexedMatrixValue value)`
`static OOCStream.QueueCallback<IndexedMatrixValue>`
OOCCacheManager.`putAndPinRaw(BlockKey key, Object data, long size)`
`static OOCStream.QueueCallback<IndexedMatrixValue>`
OOCCacheManager.`putAndPinRawSourceBacked(BlockKey key, Object data, long size, OOCIOHandler.SourceBlockDescriptor descriptor)`
`static OOCStream.QueueCallback<IndexedMatrixValue>`
OOCCacheManager.`putAndPinSourceBacked(long streamId, int blockId, IndexedMatrixValue value, OOCIOHandler.SourceBlockDescriptor descriptor)`
`static OOCStream.QueueCallback<IndexedMatrixValue>`
OOCCacheManager.`tryRequestBlock(long streamId, long blockId)`
`static OOCStream.QueueCallback<IndexedMatrixValue>`
OOCCacheManager.`tryRequestBlock(BlockKey key)`
Methods in org.apache.sysds.runtime.ooc.cache that return types with arguments of type OOCStream.QueueCallback
Modifier and Type
Method
Description
`static CompletableFuture<List<OOCStream.QueueCallback<IndexedMatrixValue>>>`
OOCCacheManager.`requestAnyOf(List<BlockKey> keys, int n, List<BlockKey> sel)`
`static CompletableFuture<OOCStream.QueueCallback<IndexedMatrixValue>>`
OOCCacheManager.`requestBlock(long streamId, long blockId)`
`static CompletableFuture<OOCStream.QueueCallback<IndexedMatrixValue>>`
OOCCacheManager.`requestBlock(BlockKey key)`
`static CompletableFuture<List<OOCStream.QueueCallback<IndexedMatrixValue>>>`
OOCCacheManager.`requestManyBlocks(List<BlockKey> keys)`
`static List<OOCStream.QueueCallback<IndexedMatrixValue>>`
OOCCacheManager.`tryRequestManyBlocks(List<BlockKey> keys)`

## Uses of OOCStream.QueueCallback in org.apache.sysds.runtime.ooc.cache.legacy

Methods in org.apache.sysds.runtime.ooc.cache.legacy that return OOCStream.QueueCallback
Modifier and Type
Method
Description
`OOCStream.QueueCallback<IndexedMatrixValue>`
OOCCacheScheduler.HandoverHandle.`reclaim()`

## Uses of OOCStream.QueueCallback in org.apache.sysds.runtime.ooc.memory

Classes in org.apache.sysds.runtime.ooc.memory that implement OOCStream.QueueCallback
Modifier and Type
Class
Description
`class`
`InMemoryQueueCallback`
Methods in org.apache.sysds.runtime.ooc.memory that return OOCStream.QueueCallback
Modifier and Type
Method
Description
`OOCStream.QueueCallback<IndexedMatrixValue>`
InMemoryQueueCallback.`keepOpen()`
`OOCStream.QueueCallback<IndexedMatrixValue>`
CachedAllowance.`tryGet(int index)`
Methods in org.apache.sysds.runtime.ooc.memory that return types with arguments of type OOCStream.QueueCallback
Modifier and Type
Method
Description
`CompletableFuture<OOCStream.QueueCallback<IndexedMatrixValue>>`
CachedAllowance.`get(int index)`

## Uses of OOCStream.QueueCallback in org.apache.sysds.runtime.ooc.stream

Classes in org.apache.sysds.runtime.ooc.stream that implement OOCStream.QueueCallback
Modifier and Type
Class
Description
`static class`
`SourceOOCStream.SourceGroupCallback`
Methods in org.apache.sysds.runtime.ooc.stream that return OOCStream.QueueCallback
Modifier and Type
Method
Description
`OOCStream.QueueCallback<T>`
FilteredOOCStream.`dequeueCB()`
`OOCStream.QueueCallback<T>`
MergedOOCStream.`dequeueCB()`
`OOCStream.QueueCallback<T>`
SplittingOOCStream.`dequeueCB()`
`OOCStream.QueueCallback<T>`
SubOOCStream.`dequeueCB()`
`OOCStream.QueueCallback<IndexedMatrixValue>`
SourceOOCStream.SourceGroupCallback.`getCallback(int idx)`
`OOCStream.QueueCallback<IndexedMatrixValue>`
SourceOOCStream.SourceGroupCallback.`keepOpen()`
Methods in org.apache.sysds.runtime.ooc.stream with parameters of type OOCStream.QueueCallback
Modifier and Type
Method
Description
`void`
FilteredOOCStream.`enqueue(OOCStream.QueueCallback<T> callback)`
`void`
MergedOOCStream.`enqueue(OOCStream.QueueCallback<T> callback)`
`void`
SplittingOOCStream.`enqueue(OOCStream.QueueCallback<T> callback)`
`void`
SubOOCStream.`enqueue(OOCStream.QueueCallback<T> callback)`
Method parameters in org.apache.sysds.runtime.ooc.stream with type arguments of type OOCStream.QueueCallback
Modifier and Type
Method
Description
`void`
FilteredOOCStream.`setSubscriber(Consumer<OOCStream.QueueCallback<T>> subscriber)`
`void`
MergedOOCStream.`setSubscriber(Consumer<OOCStream.QueueCallback<T>> subscriber)`
`void`
SplittingOOCStream.`setSubscriber(Consumer<OOCStream.QueueCallback<T>> subscriber)`
`void`
SubOOCStream.`setSubscriber(Consumer<OOCStream.QueueCallback<T>> subscriber)`